Page MenuHomePhabricator

Build wmf-elasticsearch-search-plugins.deb that supports elastic 6.5.4
Closed, ResolvedPublic

Description

For search plugins we need (third parties plugins only, check when the plugin for 6.5.4 becomes available):

  • elasticsearch-analysis-stconvert (chinese)
  • analysis-icu
  • analysis-stempel (polish)
  • analysis-smartcn (chinese)
  • analysis-ukrainian
  • elasticsearch-analysis-hebrew (custom build)

Event Timeline

dcausse created this task.Jul 17 2018, 12:43 PM
Restricted Application added a subscriber: Base. · View Herald TranscriptJul 17 2018, 12:43 PM

Change 446869 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/software/elasticsearch/plugins@master] Upgrade to 6.3.1-alpha1 (without hebrew)

https://gerrit.wikimedia.org/r/446869

EBjune triaged this task as Normal priority.Jul 26 2018, 5:26 PM
EBjune moved this task from needs triage to Current work on the Discovery-Search board.

moving to waiting/blocked waiting for the hebrew plugin

dcausse updated the task description. (Show Details)Jul 31 2018, 5:31 PM
dcausse renamed this task from Build wmf-elasticsearch-search-plugins.deb that supports elastic 6.3.1 to Build wmf-elasticsearch-search-plugins.deb that supports elastic 6.4.2.Oct 8 2018, 4:08 PM
dcausse updated the task description. (Show Details)
dcausse renamed this task from Build wmf-elasticsearch-search-plugins.deb that supports elastic 6.4.2 to Build wmf-elasticsearch-search-plugins.deb that supports elastic 6.5.4.Jan 21 2019, 3:45 PM
dcausse updated the task description. (Show Details)
dcausse updated the task description. (Show Details)

a test package is available at https://people.wikimedia.org/~dcausse/wmf-elasticsearch-search-plugins_6.5.4-alpha1~stretch_all.deb
most of the plugins in this are built manually and un-released:

  • all our plugins are built against a patch still under review
  • hebrew
  • ltr
Nuria added a subscriber: Nuria.Feb 5 2019, 6:37 PM

We have build a snapshot plugging to test in vagrant, not blocked

Change 491297 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/software/elasticsearch/plugins@master] Plugins for elasticsearch 6.5.4

https://gerrit.wikimedia.org/r/491297

Change 446869 abandoned by DCausse:
[WIP] Upgrade to 6.5.4

Reason:
test build only

https://gerrit.wikimedia.org/r/446869

dcausse claimed this task.Feb 18 2019, 7:58 PM
dcausse updated the task description. (Show Details)
dcausse moved this task from in progress to Needs review on the Discovery-Search (Current work) board.

Change 491297 merged by Gehel:
[operations/software/elasticsearch/plugins@master] Plugins for elasticsearch 6.5.4

https://gerrit.wikimedia.org/r/491297

debt closed this task as Resolved.Mar 21 2019, 7:14 PM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Mar 22 2019, 4:19 AM